Bug 441529 - Don't show welcome screen while loading archive
Summary: Don't show welcome screen while loading archive
Status: RESOLVED FIXED
Alias: None
Product: ark
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jiří Wolker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-25 12:50 UTC by Kai Uwe Broulik
Modified: 2021-12-28 01:14 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2021-08-25 12:50:30 UTC
SUMMARY
When opening a large archive in Ark, the main window opens with "Welcome to Ark" offering to create a new archive or open one, while it's actually in the process of loading an archive.

STEPS TO REPRODUCE
1. Open a large archive with Ark

OBSERVED RESULT
Welcome screen with small "loading archive" progress bar

EXPECTED RESULT
No welcome screen or a different welcome screen with a large progress bar or something

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: git master as of 2021-08-23
Comment 1 Albert Astals Cid 2021-08-25 22:18:45 UTC
Jiří can you have a look?
Comment 2 Jiří Wolker 2021-08-26 10:46:20 UTC
(In reply to Albert Astals Cid from comment #1)
> Jiří can you have a look?

The changes are ready to be merged.

https://invent.kde.org/utilities/ark/-/merge_requests/62
Comment 3 Bug Janitor Service 2021-12-27 22:57:34 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/ark/-/merge_requests/88
Comment 4 Albert Astals Cid 2021-12-28 00:58:54 UTC
Git commit c83471d3101284e7b38ab6ff6b0f5b90aefd4cb6 by Albert Astals Cid, on behalf of Jiří Wolker.
Committed on 28/12/2021 at 00:52.
Pushed by aacid into branch 'release/21.12'.

Hide welcome screen as soon as we know we're loading a file

It's confusing to still see the welcome screen with the buttons to
open/create new files while one is being loaded

M  +1    -0    app/mainwindow.cpp

https://invent.kde.org/utilities/ark/commit/c83471d3101284e7b38ab6ff6b0f5b90aefd4cb6